<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{A3AECA06-D8AB-47D2-AB3C-FAB10F0808F2}</ProjectGuid>
    <RootNamespace>pamtogif</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.14393.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>../../netpbm-10.86.00;../../netpbm-10.86.00\lib;../../netpbm-10.86.00\lib\util;../../netpbm-10.86.00\converter;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CRT_SECURE_NO_WARNINGS;NETPBM_VERSION="10.86.00";%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>../../netpbm-10.86.00;../../netpbm-10.86.00\lib;../../netpbm-10.86.00\lib\util;../../netpbm-10.86.00\converter;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_MBCS;_CRT_SECURE_NO_WARNINGS;NETPBM_VERSION="10.86.00";%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\converter\other\pamtogif.c" />
    <ClCompile Include="..\lib\colorname.c" />
    <ClCompile Include="..\lib\fileio.c" />
    <ClCompile Include="..\lib\libpam.c" />
    <ClCompile Include="..\lib\libpamcolor.c" />
    <ClCompile Include="..\lib\libpammap.c" />
    <ClCompile Include="..\lib\libpamn.c" />
    <ClCompile Include="..\lib\libpamread.c" />
    <ClCompile Include="..\lib\libpamwrite.c" />
    <ClCompile Include="..\lib\libpbm1.c" />
    <ClCompile Include="..\lib\libpbm2.c" />
    <ClCompile Include="..\lib\libpbm3.c" />
    <ClCompile Include="..\lib\libpgm1.c" />
    <ClCompile Include="..\lib\libpgm2.c" />
    <ClCompile Include="..\lib\libpm.c" />
    <ClCompile Include="..\lib\libpnm1.c" />
    <ClCompile Include="..\lib\libpnm2.c" />
    <ClCompile Include="..\lib\libppm1.c" />
    <ClCompile Include="..\lib\libppm2.c" />
    <ClCompile Include="..\lib\libppmcmap.c" />
    <ClCompile Include="..\lib\libppmcolor.c" />
    <ClCompile Include="..\lib\pmfileio.c" />
    <ClCompile Include="..\lib\util\mallocvar.c" />
    <ClCompile Include="..\lib\util\nstring.c" />
    <ClCompile Include="..\lib\util\shhopt.c" />
    <ClCompile Include="..\lib\util\token.c" />
    <ClCompile Include="..\lib\util\vasprintf.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="resource.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="pamtogif.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>